import std.stdio;

void main()
{
    auto coffeePrices = [
        "французская ваниль" : 262,
        "ява" : 239,
        "французская обжарка" : 224
    ];

    foreach (kind, price; coffeePrices)
    {
        writefln("%s стоит %s руб. за 100 г", kind, price);
    }

    auto gammaFunc = [-1.5:2.363, -0.5:-3.545, 0.5:1.772];
    double[] keys = gammaFunc.keys;
    assert(keys == [ -1.5, -0.5, 0.5 ]);

    writeln(keys);

    foreach (k; gammaFunc.byKey())
    {
        writeln(k);
    }
}
